/* =========================================
   PORTFOLIO HERO
========================================= */

.portfolio-hero {
    position: relative;
    width: 100%;
    overflow: hidden;

    padding: 16px 138px 10px;

    background:
        radial-gradient(
            circle at 38% 42%,
            rgb(198 221 244),
            transparent 30%
        ),
        #f8f8f5;
}


/* CONTAINER */

.portfolio-container {
    position: relative;
    z-index: 2;
    width: 100%;
    max-width: 1500px;
    margin: 0 auto;
}


/* =========================================
   TOP AREA
========================================= */

.portfolio-top {
    display: grid;
    grid-template-columns: 50% 50%;

    min-height: 175px;
        margin-top: 100px;
        margin-bottom: 40px;

    align-items: center;
}


/* =========================================
   HEADING
========================================= */

.portfolio-heading {
    padding-left: 22px;
}


.portfolio-label {
    display: block;

    margin-bottom: 1px;

    font-family: "Manrope", sans-serif;

    font-size: 12px;
    font-weight: 700;

    letter-spacing: 1.2px;

    color: #1e65ab;
}


.portfolio-heading h1 {
    margin: 0;

    font-family: "Manrope", sans-serif;

    font-size: clamp(42px, 4vw, 61px);

    line-height: 0.98;

    font-weight: 800;

    letter-spacing: -2px;

    color: #1c1e22;
}


.portfolio-heading h1 span {
    display: block;
}


.text-green {
    color: #1e65ab;
}


/* =========================================
   DESCRIPTION
========================================= */

.portfolio-description {
    padding-left: 80px;
    padding-top: 20px;
}


.portfolio-description p {
    margin: 0;

    font-family: "Manrope", sans-serif;

    font-size: 13px;

    line-height: 1.5;

    font-weight: 500;

    color: #35373a;
}


.explore-text {
    position: relative;

    display: inline-block;

    margin-top: 8px;

    padding-bottom: 4px;

    font-family: "Caveat", cursive;

    font-size: 23px;

    font-weight: 500;

    color: #202124;
}


.explore-text::after {
    content: "";

    position: absolute;

    left: 0;
    bottom: 0;

    width: 100%;
    height: 1.5px;

    background: #1e65ab;
}


/* =========================================
   DOT PATTERN
========================================= */

.portfolio-dots {
    position: absolute;

    top: -20px;
    right: -25px;

    width: 260px;
    height: 260px;

    opacity: 0.5;

    background-image:
        radial-gradient(
            #7c8c2b 1.2px,
            transparent 1.2px
        );

    background-size: 8px 8px;

    transform: rotate(-12deg);

    -webkit-mask-image:
        linear-gradient(
            to left,
            #000,
            transparent
        );

    mask-image:
        linear-gradient(
            to left,
            #000,
            transparent
        );
}


/* =========================================
   SERVICE TABS
========================================= */

.service-tabs {
    display: grid;

    grid-template-columns:
        repeat(4, 1fr);

    width: 100%;

    min-height: 105px;

    border: 1px solid #d8d8d1;

    border-radius: 13px 13px 0 0;

    overflow: hidden;

    background:
        rgba(255, 255, 255, 0.35);
}


/* =========================================
   SERVICE CARD
========================================= */

.service-card {
    position: relative;

    display: flex;

    align-items: center;

    gap: 17px;

    min-width: 0;

    padding: 18px 17px;

    border-right:
        1px solid #d9d9d2;

    cursor: pointer;

    transition:
        background 0.35s ease,
        color 0.35s ease,
        transform 0.35s ease;
}


.service-card:last-child {
    border-right: none;
}


/* =========================================
   ACTIVE CARD
========================================= */

.service-card.active {
    background:
        linear-gradient(
            135deg,
            #0c0d0d,
            #181919
        );
}


/* =========================================
   ICON
========================================= */

.service-icon {
    width: 54px;
    height: 54px;

    flex-shrink: 0;

    display: flex;

    align-items: center;
    justify-content: center;

    border-radius: 19px;

    background:
       rgb(57 63 255 / 10%);

    color: #738221;

    transition: 0.3s ease;
}


.service-icon svg {
    width: 25px;
    height: 25px;

    stroke: rgb(255 255 255);;

    stroke-width: 1.7;

    stroke-linecap: round;

    stroke-linejoin: round;
}


/* ACTIVE ICON */

.service-card.active .service-icon {
    color: #1e65ab;

    background:
        linear-gradient(
         135deg, #1e65ab, #1e65ab);

    box-shadow:
        0 8px 22px
        rgba(23, 74, 228, 0.28);
}


/* =========================================
   SERVICE INFO
========================================= */

.service-info {
    flex: 1;
    min-width: 0;
}


.number {
    display: block;

    margin-bottom: 4px;

    font-size: 11px;

    color: #484a4e;
}


.service-card.active .number {
    color: #cfcfcf;
}


.service-info h3 {
    margin: 0 0 4px;

    font-family: "Manrope", sans-serif;

    font-size: 15px;

    font-weight: 800;

    letter-spacing: 0.2px;

    color: #24262a;

    white-space: nowrap;
}


.service-card.active h3 {
    color: #ffffff;
}


.service-info p {
    margin: 0;

    font-family: "Manrope", sans-serif;

    font-size: 11px;

    font-weight: 500;

    line-height: 1.45;

    color: #55575b;
}


.service-card.active p {
    color: #d4d4d4;
}


/* =========================================
   ARROW
========================================= */

.service-arrow {
    width: 27px;
    height: 27px;

    flex-shrink: 0;

    display: flex;

    align-items: center;
    justify-content: center;

    border-radius: 50%;

    border: 1px solid #1e65ab;

    background: transparent;

    color: #1e65ab;

    font-size: 17px;

    cursor: pointer;

    transition: all 0.3s ease;
}


.service-card.active .service-arrow {
    color: #1e65ab;
    border-color: #1e65ab;
}


/* HOVER */

.service-card:not(.active):hover {
    background: #ebf7ff;
}


.service-card:hover .service-arrow {
    background: #1e65ab;
    color: #ffffff;

    transform: translateX(3px);
}


/* =========================================
   TABLET
========================================= */

@media (max-width: 1000px) {

    .portfolio-top {
        grid-template-columns: 1fr 1fr;
    }


    .portfolio-heading h1 {
        font-size: 48px;
    }


    .service-tabs {
        grid-template-columns: repeat(2, 1fr);

        border-radius: 12px;
    }


    .service-card:nth-child(2) {
        border-right: none;
    }


    .service-card:nth-child(-n+2) {
        border-bottom:
            1px solid #d9d9d2;
    }

}


/* =========================================
   MOBILE
========================================= */

@media (max-width: 700px) {

    .portfolio-hero {
        padding: 35px 15px 15px;
    }


    .portfolio-top {
        grid-template-columns: 1fr;

        min-height: auto;

        gap: 25px;

        padding-bottom: 25px;
    }


    .portfolio-heading {
        padding-left: 0;
    }


    .portfolio-description {
        padding: 0;
    }


    .portfolio-heading h1 {
        font-size: 46px;
    }


    .portfolio-description p br {
        display: none;
    }


    .portfolio-dots {
        width: 180px;
        height: 220px;

        opacity: 0.25;
    }


    .service-tabs {
        grid-template-columns: 1fr;

        border-radius: 12px;
    }


    .service-card {
        min-height: 95px;

        border-right: none !important;

        border-bottom:
            1px solid #d9d9d2;
    }


    .service-card:last-child {
        border-bottom: none;
    }

}


/* =========================================
   SMALL MOBILE
========================================= */

@media (max-width: 430px) {

    .portfolio-heading h1 {
        font-size: 38px;
    }


    .service-info h3 {
        white-space: normal;
    }


    .service-icon {
        width: 48px;
        height: 48px;
    }


    .explore-text {
        font-size: 20px;
    }

}
/* =========================================
   SOCIAL MEDIA SECTION
========================================= */

.social-media-section {
    width: 100%;
    padding: 25px 38px 25px;
    background: #f8f8f5;
}


.social-media-container {
    width: 100%;
    max-width: 1450px;
        padding-left: 88px;
    padding-right: 88px;
    margin: 0 auto;
}


/* =========================================
   HEADER
========================================= */

.social-section-header {
    display: flex;
    justify-content: space-between;
    align-items: center;

    margin-bottom: 20px;
}


.social-heading {
    display: flex;
    align-items: center;
    gap: 14px;

    position: relative;
}


.social-heading::after {
    content: "";

    position: absolute;

    left: 0;
    bottom: -8px;

    width: 220px;
    height: 1px;

    background: #1e65ab;
}


.social-heading span {
    font-size: 20px;
    font-weight: 700;

    color: #1e65ab;
}


.social-heading h2 {
    margin: 0;

    font-size: 25px;
    font-weight: 800;

    color: #202124;
}


.social-header-right {
    display: flex;
    align-items: center;
    gap: 35px;
}


.social-header-right p {
    margin: 0;

    font-size: 14px;

    color: #33363a;
}


/* NAVIGATION */

.slider-nav {
    display: flex;
    gap: 12px;
}


.slider-nav button {
    width: 38px;
    height: 38px;

    border-radius: 50%;

    border: 1px solid #d8dacb;

    background: transparent;

    color: #1e65ab;

    font-size: 18px;

    cursor: pointer;

    transition: 0.3s ease;
}


.slider-nav button:hover {
    background: #1e65ab;
    color: #fff;
}


/* =========================================
   ROW
========================================= */

.social-row {
    display: grid;

    grid-template-columns: 220px 1fr;

    gap: 0;

    margin-bottom: 12px;
}


/* =========================================
   CATEGORY CARD
========================================= */

.social-category-card {
    min-height: 135px;

    display: flex;
    align-items: center;

    gap: 15px;

    padding: 20px 15px;

    border: 1px solid #deded6;

    border-radius: 14px 0 0 14px;

    background:
        rgba(255,255,255,0.35);
}


.category-icon {
    width: 55px;
    height: 55px;

    flex-shrink: 0;

    display: flex;
    align-items: center;
    justify-content: center;

    border-radius: 50%;

    background:
        linear-gradient(
            135deg, #fcb03b, #fcb03b);
        );

    color: #ffffff;

    font-size: 28px;
}


.category-content h3 {
    margin: 0 0 6px;

    font-size: 15px;

    font-weight: 800;

    color: #25272b;
}


.category-content p {
    margin: 0 0 14px;

    font-size: 11px;

    line-height: 1.5;

    color: #55585d;
}


.category-content a {
    display: inline-flex;
    align-items: center;
    gap: 8px;

    text-decoration: none;

    font-size: 10px;
    font-weight: 700;

    letter-spacing: 0.6px;

    color: #fe9d0c;
}


/* =========================================
   SLIDER
========================================= */

.social-slider {
    overflow: hidden;

    border-radius: 0 14px 14px 0;
}


.social-track {
    display: flex;
    gap: 5px;

    min-width: max-content;
}


/* =========================================
   POSTS
========================================= */

.social-post {
    position: relative;

    width: 150px;
    height: 135px;

    flex-shrink: 0;

    overflow: hidden;

    border-radius: 5px;

    background: #e8e6de;
}


.social-post img {
    width: 100%;
    height: 100%;

    display: block;

    object-fit: cover;

    transition: transform 0.5s ease;
}


.social-post:hover img {
    transform: scale(1.08);
}


/* OVERLAY */

.image-post::after {
    content: "";

    position: absolute;

    inset: 0;

    background:
        linear-gradient(
            90deg,
            rgba(0,0,0,0.30),
            transparent 70%
        );

    pointer-events: none;
}


/* TEXT */

.post-text {
    position: absolute;

    z-index: 2;

    left: 14px;
    top: 18px;

    font-size: 14px;

    line-height: 1.45;

    font-weight: 600;

    color: #24262a;
}


.post-text.light {
    color: #ffffff;
}


/* TEXT ONLY POST */

.text-post {
    display: flex;
    align-items: center;

    padding: 20px;

    background:
        linear-gradient(
            135deg,
            #f4f1e8,
            #ddd8ca
        );
}


.text-post span {
    font-size: 16px;

    line-height: 1.55;

    font-weight: 500;

    color: #24262a;
}


/* =========================================
   EXPLORE BUTTON
========================================= */

.social-explore-btn {
    display: flex;
    justify-content: center;

    margin-top: 14px;
}


.social-explore-btn a {
    display: inline-flex;

    align-items: center;

    gap: 15px;

    padding: 13px 25px;

    border-radius: 30px;

    text-decoration: none;

    font-size: 12px;

    font-weight: 700;

    letter-spacing: 0.5px;

    color: #ffffff;

    background:
        linear-gradient(
            90deg, #1e65ab, #1e65ab);
        );

    box-shadow:
        0 10px 25px
        rgba(100, 115, 25, 0.15);

    transition: 0.3s ease;
}


.social-explore-btn a:hover {
    transform: translateY(-3px);

    box-shadow:
        0 15px 30px
        rgba(100, 115, 25, 0.25);
}